<?php
require_once 'application/class/class_ManageSession.php';

// AMI / 2015.06.08 /Le dashborad est à nettoyer : il est désactivé dans OXASRM
// $array_menu['Acces_Dashboard'] = 0;

if ($_SESSION['AuthModuleAchats'] == 1) {
    if (!empty(SqlUsers::rqSelectConnexionUserPARAMDICO($_SESSION['Session_Login'])->Trouve1())) {
        // Ne rien faire le parametre existe dejà du a une tentative de connexion RIA
    } else {
        SqlUsers::rqInsertConnexionUserPARAMDICO($_SESSION['Session_Login'], $_SESSION['Session_Langue'], $_SESSION['Session_SocUsr'])->ExecuteSql();
    }
    
    $idSession = session_id();
    $array_menu['menu']['Module']['ModuleAchats'] = array(
        "!lienDirect" => $_SESSION['_haplusweb'] . "PublishedApplications/OxaSas/IPADE.Application?ID_AUTO_SESSION=-A{$idSession}",
        "!disponibleBin" => $_SESSION['ConnexionOXASRM']
    );
    // $array_menu['menu']['Module']['ModuleAchats'] = array( "!lienDirect" => "session_srm.php",
    // "!disponibleBin" => $_SESSION['ConnexionOXASRM']);
}
$array_menu['menu']['Module']['ModuleEproc'] = array(
    "!lienDirect" => "session_ipad.php",
    "!disponibleBin" => $_SESSION['ConnexionEproc']

);

// Ajout du lien vers le fichier d'aide en ligne
$url_aide = Param::getAideEnLigne();
if($url_aide != ''){
    if(strpos($url_aide, 'http') === false){
        $url_aide = "http://".$url_aide;
    }
    $array_menu['viewer']['fiche_ident']['AideEnLigne'] = array(
        "!image" => "images/normal/aide.gif",
        '!action' => "window.open('" . $url_aide . "')",
        "!libelle" => trad("Aide en ligne")
    );
}

$array_menu['viewer']['fiche_ident']['ContactSupport'] = array(
    '!action' => "window.open('http://www.oxalys.fr')"
);
$array_menu['viewer']['fiche_ident']['Recette'] = array(
    '!action' => "window.open('http://www.oxalys.fr')"
);

// On initialise les favoris
$array_menu['viewer']['fiche_ident']['multilangue'] = Param::GetNoeudXMLFavoris();

// On initialise l'url de la page actualité
$url_actualite = trim(Param::getActualite($_SESSION['Session_Langue']));
if ('' != $url_actualite)
    $array_menu['viewer']['fiche_ident']['!actu'] = $url_actualite;

$array_menu['modules'][]['entete'] = Menu::geMenuProfil();
if($_SESSION['EasyDemat'] == 1){
    $array_menu['modules'][]['entete'] = Menu::getMenuUtilisateurEasyDemat("portail");
}else{
    $array_menu['modules'][]['entete'] = Menu::getMenuUtilisateur("portail");
}

$liste_favoris = Param::getAccueilFavoris($_SESSION['Session_Langue']);

if (is_array($liste_favoris) && count($liste_favoris) > 0) {
    $array_menu['modules']['monEspace']['actions'][] = array(
        "!image" => "images/normal/favoris.gif",
        '!action' => 'window.open(\'' . Param::GetUrlFavoris() . '\')',
        "!libelle" => trad("Accès aux favoris")
    );
}

if ('' != $url_actualite) {
    // Ajout du lien vers les actualités
    $array_menu['modules']['monEspace']['actions'][] = array(
        "!image" => "images/normal/actus.gif",
        '!action' => "window.open('" . $url_actualite . "')",
        "!libelle" => trad("Accès aux actualités")
    );
}

$User = new Utilisateur();
$User->initProfil($_SESSION['Session_Login']);

// Alors l'action de déconnexion entrainera le retour sur la page d'accueil
$action = "document.location.href='session_ipad.php?operation=deconnexion'";

// en doublon pour le moment
$array_menu['modules']['monEspace']['deconnexion'] = array(
    "!image" => "images/normal/picto_connect.gif",
    '!action' => "if(window.confirm('" . cnv_to_javascript(trad("Êtes vous sûr de vouloir quitter le portail ?")) . "')){{$action}};",
    "!libelle" => trad("Déconnexion"),
    "!onmouseover" => "this.src = 'images/normal/picto_disconnect.gif'",
    "!onmouseout" => "this.src = 'images/normal/picto_connect.gif'"
);														   
